Bug 239348 - Window scrolling is very laggy when viewing a gmail message thread
Window scrolling is very laggy when viewing a gmail message thread
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Gecko Maintainer
https://mail.google.com/
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-07 15:14 EDT by Michael Wiktowy
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-04 12:27:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of page element causing the lagginess (91.76 KB, image/png)
2007-09-08 22:12 EDT, Michael Wiktowy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 398562 None None None Never

  None (edit)
Description Michael Wiktowy 2007-05-07 15:14:46 EDT
Description of problem:
When the user opens a long gmail thread that pops up the name of the next person
who responded to the thread in the bottom right corner, the scrolling of that
window is very slow and jerky. When at the last message where that pop-up
disappears, the scrolling is smooth again. So whatever CSS element that causes
the pop-up is seriously lagging the windows scrolling. This gives a really bad
impression of the Linux desktop.

Version-Release number of selected component (if applicable):
version included in Rawhide 20070502 LiveCD

How reproducible:
Always

Steps to Reproduce:
1. view a long message thread in gmail
2. scroll down using mouse wheel or scroll bar
  
Actual results:
The scrolling is not smooth like it is in Firefox running on Windows.

Expected results:
The scrolling should be smooth.
Comment 1 Warren Togami 2007-05-07 20:21:30 EDT
AJAX apps in general are very slow in Firefox on Linux for some reason.  It
usually becomes a little faster if you enable Composite on your desktop, but it
still does not perform well vs. Windows or MacOS.

System > Preferences > Look & Feel > Desktop Effects
(This only works on some video drivers.)
Comment 2 Matěj Cepl 2007-05-29 18:51:14 EDT
Reporter, could you please try to reproduce this problem with Pango disabled? It
means running firefox in gnome-terminal/konsole/xterm like this:

MOZ_DISABLE_PANGO=1 firefox

Does it help?
Comment 4 Matěj Cepl 2007-08-03 09:40:20 EDT
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=342669) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 5 Michael Wiktowy 2007-08-27 23:49:35 EDT
(In reply to comment #2)
> Reporter, could you please try to reproduce this problem with Pango disabled? It
> means running firefox in gnome-terminal/konsole/xterm like this:
> 
> MOZ_DISABLE_PANGO=1 firefox
> 
> Does it help?

No. It is still much less responsive on Fedora Linux than a W2k installation on
the same box running the same latest version of Firefox.

Disabling smooth scrolling does help a small bit.
Comment 6 Michael Wiktowy 2007-08-28 00:09:53 EDT
(In reply to comment #4)
> We found that this bug has been already registered in the upstream database
> (https://bugzilla.mozilla.org/show_bug.cgi?id=342669) and believe that it is
> more appropriate to let it be resolved upstream.

This is not the same problem. This scrolling lag occurs all the time; not just
when loading. It also occurs on a Gnome desktop (haven't tried others) on a
Fedora systems; not an XP system ... in fact, scrolling is much much better on a
W2k system. That is what made me think this is a Firefox/Linux screen rendering
issue vs. a general Firefox performance issue.

In a nutshell, On a dual-boot box, on the Fedora side, open a webpage with a lot
of content (like this bugzilla page) and spin the scroll wheel on your mouse
quickly ... it will take about 0.5-1.5 seconds for the page to finally scroll
down to where it should be. Now try this on Windows on the same box. It will be
at the correct spot nearly instantaneously. It gets a lot worse on a bigger page
and when there are elements that float along to stay in the window like the name
of the subsequent posters in the gmail example in the original report.
Comment 7 Matěj Cepl 2007-08-28 07:00:23 EDT
Sounds to me like a configuration problem. Could you compare in about:config all
*wheel* and *scroll* configuration settings? See for example
http://www.extremetech.com/article2/0,1697,1862333,00.asp for explanations of
what could be done with these settings (they even mention an extension which
looks nice for changing mouse wheel settings
http://www.extremetech.com/article2/0,1697,1862334,00.asp )

Or do we have real problem here?
Comment 8 Michael Wiktowy 2007-09-08 22:08:19 EDT
I took a look at those settings and my system doesn't have enything out of the
ordinary. It is all default settings.

This window scrolling lag is independent of the mouse-wheel and is even worse
when using the cursor key.

Hold the cursor down key for a few seconds on a web page on a non-ajax page
(like slashdot.org for instance). It won't scroll quickly but will stop
instantly when you let go of the key.
Do the same thing on a long gmail message thread ... when you let go of the key,
it will keep on scrolling for a time but if you are on the last message (where
there is no little popup element showing you the next message author) the
scrolling is like it is on a non-popup page.
Comment 9 Michael Wiktowy 2007-09-08 22:12:06 EDT
Created attachment 190911 [details]
Screenshot of page element causing the lagginess

I red circled the floating element that is causing the lag. I am not sure what
bit of js causes this but it is present in gmail message threads and a lot of
other pages where they want to keep a bit of info on the screen while you
scroll down. It kills the page responsiveness in Fedora but not in Windows
using the same Firefox version.
Comment 10 Christopher Aillon 2007-10-03 13:58:08 EDT
Probably https://bugzilla.mozilla.org/show_bug.cgi?id=201307
Comment 11 Michael Wiktowy 2007-10-03 15:52:22 EDT
It sounds a whole lot like that bug and a really ancient one at that. Except
that I only really see this in Linux now. In Windows the scrolling performance
is acceptable but I haven't looked at CPU usage while scrolling. There may be
some odd video driver interaction that makes some people really see this and
others give a WFM. Please let me know of any info that I can provide from my
system to help with this bug.
Comment 12 Matěj Cepl 2007-10-04 11:22:07 EDT
Can very well reproduce with Martin's testing firefox-2.0.0.6-12.debug.fc8 on
x86_64.
Comment 13 Matěj Cepl 2007-10-04 12:27:03 EDT
We filed this bug to the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=398562) and believe that it is
more appropriate to let it be resolved upstream.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.